FUNCTION::SET_KERNEL(3stap)

NAME
function::set_kernel_string_n - Writes a string of given length to kernel memory

SYNOPSIS

    set_kernel_string_n(addr:long,n:long,val:string)

ARGUMENTS

addr
    The kernel address to write the string to

n
    The maximum length of the string

val
    The string which is to be written

DESCRIPTION

Writes the given string up to a maximum given length to a given kernel memory address. Reports an error on string copy fault. Requires the use of guru mode (-g).

SEE ALSO
tapset::conversions-guru(3stap)